at.chipkarte.client.ebs.soap

## Interface IEbsService

-     public interface IEbsService

  Dieses Service stellt die Funktionalitäten des elektronischen Bewilligungs- und Antragsservice (EBS) Version 9 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbfragenAntragMitCodeErgebnis` | `abfragenAntragMitCode(String dialogId, String svNummer, String karteKennnummer, String antragsCode)` Diese Funktion dient der Abfrage eines Antrags mittels Code und Patientenidentifikator, unabhängig ob selbst- oder fremderstellt.
    `KvtAntragstypen[]` | `abfragenEbsRelevanteTraeger(String dialogId)` Diese Funktion dient der Abfrage der aktuell für eBS relevanten KV-Träger.
    `BewilligungsaktReferenz[]` | `abfragenEigeneAntraege(String dialogId, String svNummer, String karteKennnummer, String antragsCode, String vorname, String zuname, String kvt, String antragstyp, String antragsstatus, String aggregierterLeistungsstatus, String eigeneRolle, String vonDatum, String bisDatum)` Diese Funktion dient der Abfrage von Anträgen, bei denen der Vertragspartner als Ersteller/Verordner/Erbringer involviert ist/war.
    `Katalogdaten[]` | `abfrageVokDaten(String dialogId, String katalogversion, String antragstyp, String kvt)` Diese Funktion dient der Abfrage der Verordnungskatalog (Vok) - Daten zu einer bestimmten Verordungskatalogversion (siehe `abfrageVokVersionen`).
    `Kataloginfo[]` | `abfrageVokVersionen(String dialogId)` Diese Funktion dient der Abfrage von Verordungskatalog (Vok) - Versionen zu denen mittels der Funktion `abfrageVokDaten` die Daten abgefragt werden können.
    `AntragstypDetail[]` | `antragstypenErmitteln(String dialogId)` Diese Funktion dient der Ermittlung der aktuell für eBS verwendbaren Antragstypen und des jeweils benötigten Rechtes pro Antragstyp.
    `BewilligungsaktReferenz` | `beantwortenEvidenzmeldung(String dialogId, String svNummer, String karteKennnummer, String antragsCode, String evidenzantwort, AttachmentInfo attachmentInfo, DataHandler evidenzAttachments)` Diese Funktion dient der Übermittlung einer Antwort zu einer Evidenzmeldung des Antrags.
    `BewilligungsaktReferenzFoto` | `bekanntgebenTerminvereinbarung(String dialogId, String antragsreferenz, String kvt, String fachgebiet)` Diese Funktion dient der Bekanntgabe der Terminvereinbarung.
    `BewilligungsaktFoto` | `erfassenVerordnerAntrag(String dialogId, String cardToken, LeistungsantragAktuell leistungsantragAktuell, DataHandler antragsAttachments)` Diese Funktion dient der aktuellen Erfassung von Anträgen durch den Verordner.
    `DataHandler` | `herunterladenAttachments(String dialogId, String svNummer, String karteKennnummer, String antragsCode, Long[] dateiNummern)` Diese Funktion dient dem Herunterladen ausgewählter Dateien, die dem Antrag als Anlagen hinzugefügt wurden.
    `BaseProperty[]` | `mammographieIndikationenErmitteln(String dialogId)` Diese Funktion dient der Abfrage der aktuell für eBS möglichen mammographie Indikationen.
    `BewilligungsaktFoto` | `nacherfassenAntrag(String dialogId, String cardToken, LeistungsantragNacherfassen leistungsantragNacherfassen, DataHandler antragsAttachments)` Diese Funktion dient der Nacherfassung von Anträgen durch einen Vertragspartner ungleich dem Verordner (in der Regel wird der Antrag durch den späteren Leistungserbringer nacherfasst).
    `PruefenAdministrativeAntragsdatenErgebnis` | `pruefenAdministrativeAntragsdaten(String dialogId, String cardToken, String svNummer, EkvkPatient ekvkPatient, Boolean aktuell, String antragstyp, String fachgebiet, String kvt, String verordnerVpnr, VerordnerInformation verordnerFreitext, Boolean keineVokErmittlung)` Es werden die Patientendaten (zuständiger KV-Träger, Namensdaten) ermittelt und geprüft ob die weitere Antragserfassung durch den durchführenden Vertragspartner möglich ist beziehungsweise die Erfassung durch den Originalverordner zulässig war.
    `Partnerdaten` | `pruefenOriginalverordnerVpnr(String dialogId, String vpnr)` Zu der übergebenen Vertragspartnernummer werden die Partnerdaten aus dem e-card System bzw.
    `BewilligungsaktReferenz` | `stornierenAntrag(String dialogId, String svNummer, String karteKennnummer, String antragsCode, String stornogrund)` Diese Funktion dient der Stornierung eines gestellten Antrags.
    `BewilligungsaktFoto` | `uebernehmenAntragsleistungen(String dialogId, String antragsreferenz, String kvt, String fachgebiet, String alleUebernehmen, String[] leistungen)` Diese Funktion dient der Bekanntgabe der Übernahme von Leistungen durch den Leistungserbringer.
    `BewilligungsaktReferenz` | `widerrufenTerminvereinbarung(String dialogId, String antragsreferenz)` Diese Funktion dient dem Widerruf der Terminvereinbarung.
    `Bewilligungsakt` | `widerrufenUebernahme(String dialogId, String antragsreferenz)` Diese Funktion dient dem Widerruf der Leistungsübernahme.

- - ### Method Detail

    - #### pruefenAdministrativeAntragsdaten

          PruefenAdministrativeAntragsdatenErgebnis pruefenAdministrativeAntragsdaten(String dialogId,
                                                                                      String cardToken,
                                                                                      String svNummer,
                                                                                      EkvkPatient ekvkPatient,
                                                                                      Boolean aktuell,
                                                                                      String antragstyp,
                                                                                      String fachgebiet,
                                                                                      String kvt,
                                                                                      String verordnerVpnr,
                                                                                      VerordnerInformation verordnerFreitext,
                                                                                      Boolean keineVokErmittlung)
                                                                               throws EbsInvalidParameterException,
                                                                                      EbsException,
                                                                                      AccessException,
                                                                                      DialogException,
                                                                                      ServiceException

      Es werden die Patientendaten (zuständiger KV-Träger, Namensdaten) ermittelt und geprüft ob die weitere Antragserfassung durch den durchführenden Vertragspartner möglich ist beziehungsweise die Erfassung durch den Originalverordner zulässig war. Sofern gewünscht werden zusätzlich die, für die angegebenen und ermittelten Daten, verfügbaren Katalogleistungen ermittelten und retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `EBS_CORE` und `EBS_ANTRAG`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` oder ein `ekvkPatient` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` oder ein `ekvkPatient` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
        `ekvkPatient` - EKVK-Daten, siehe `EkvkPatient`
        Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` oder ein `ekvkPatient` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
        `aktuell` - Angabe, ob die Funktion für eine aktuelle Erfassung (Antragserfassung durch Funktion `erfassenVerordnerAntrag`) oder eine Nacherfassung (Antragserfassung durch Funktion `nacherfassenAntrag`) aufgerufen wird.
        `antragstyp` - Gibt den Typ des Antrags an, der erfasst werden soll.
        Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
        `fachgebiet` - Mögliche Werte: siehe `getFachgebiete`
        Angabe: Bedingt. Muss angegeben werden bei `aktuell` gleich `true`. Darf nicht angegeben werden bei `aktuell` gleich `false`.
        `kvt` - KV-Träger, bei dem der Patient versichert ist.
        Angabe: Optional. Mögliche Werte: siehe `getSVTs`
        `verordnerVpnr` - Vertragspartnernummer des Originalverordners
        Format: Numerisch, 6-stellig
        Angabe: Bedingt. Bei `aktuell` gleich `true` keine Angabe erlaubt. Bei `aktuell` gleich `false` muss entweder verordnerVpnr oder verordnerFreitext angegeben werden.
        `verordnerFreitext` - Freitextangabe des Originalverordners (siehe `VerordnerInformation`).
        Angabe: Bedingt. Bei `aktuell` gleich `true` keine Angabe erlaubt. Bei `aktuell` gleich `false` muss entweder verordnerVpnr oder verordnerFreitext angegeben werden.
        `keineVokErmittlung` - Angabe, ob im Zuge der Funktion zu den angegebenen Informationen der zugehörige Verordnungskatalog (Katalogleistungen) ermittelt werden soll.
        Angabe: Kann.
        Default bei Nichtangabe: `true`
      Returns:
        Ergebnis der positiv durchgeführten Abfrage der Antragsstammdaten, siehe `PruefenAdministrativeAntragsdatenErgebnis`.
      Throws:
        `EbsInvalidParameterException` - `SV_NUMMER_EKVKPATIENT_OR_ECARD_REQUIRED`, `AKTUELL_OR_NACHERFASSUNG_REQUIRED`, `KVT_INVALID`, `ANTRAGSTYP_REQUIRED`, `ANTRAGSTYP_INVALID`, `ANTRAGSTYP_INVALID2`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `FACHGEBIET_INVALID2`, `FACHGEBIET_INVALID3`, `EKVK_VORNAME_REQUIRED`, `EKVK_VORNAME_WRONG_FORMAT`, `EKVK_VORNAME_INVALID`, `EKVK_ZUNAME_REQUIRED`, `EKVK_ZUNAME_WRONG_FORMAT`, `EKVK_ZUNAME_INVALID`, `EKVK_GEBURTSDATUM_REQUIRED`, `EKVK_GEBURTSDATUM_WRONG_FORMAT`, `EKVK_GEBURTSDATUM_INVALID`, `EKVK_GESCHLECHT_REQUIRED`, `EKVK_GESCHLECHT_INVALID`, `EKVK_KENNNUMMER_KARTE_REQUIRED`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_REQUIRED`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_WRONG_FORMAT`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_INVALID`, `EKVK_KENNNUMMER_DES_TRAEGERS_REQUIRED`, `EKVK_KENNNUMMER_DES_TRAEGERS_WRONG_FORMAT`, `EKVK_KENNNUMMER_DES_TRAEGERS_INVALID`, `EKVK_ABLAUFDATUM_REQUIRED`, `EKVK_ABLAUFDATUM_WRONG_FORMAT`, `EKVK_ABLAUFDATUM_INVALID`, `EKVK_STAAT_REQUIRED`, `EKVK_STAAT_INVALID`, `EKVK_STAAT_INVALID2`, `SV_NUMMER_INVALID`, `VPNR_OR_VERORDNERFREITEXT_REQUIRED`, `VPNR_WRONG_FORMAT`, `VPNR_INVALID`, `VERORDNERDATEN_VORNAME_REQUIRED`, `VERORDNERDATEN_VORNAME_WRONG_FORMAT`, `VERORDNERDATEN_VORNAME_INVALID`, `VERORDNERDATEN_NACHNAME_REQUIRED`, `VERORDNERDATEN_NACHNAME_WRONG_FORMAT`, `VERORDNERDATEN_NACHNAME_INVALID`, `ADRESSE_ORT_REQUIRED`, `ADRESSE_ORT_WRONG_FORMAT`, `ADRESSE_ORT_INVALID`, `ADRESSE_PLZ_REQUIRED`, `ADRESSE_PLZ_WRONG_FORMAT`, `ADRESSE_PLZ_INVALID`, `ADRESSE_STRASSE_REQUIRED`, `ADRESSE_STRASSE_WRONG_FORMAT`, `ADRESSE_STRASSE_INVALID`, `ADRESSE_STAAT_REQUIRED`, `ADRESSE_STAAT_INVALID`
        `EbsException` - `SV_NUMMER_INVALID`, `NO_ANSPRUCH`, `NO_ANTRAGSTYP_ANSPRUCH`, `ASVG_KVT_FOR_SELECTION`, `KVT_FOR_SELECTION`, `ORDINATION_GKK_NOT_EBS_RELEVANT`, `NO_VPANSPRUCH`, `NO_VPANSPRUCH_FOR_KVT_FOR_ERFASSUNG`, `FACHGEBIET_NOT_AUTHORISED_FOR_ERFASSUNG`, `NO_DATA_FOR_VPNR`, `NO_NACHERFASSUNG_FOR_ORIGINALVERORDNER`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`, `MISSING_EBS_ANTRAG`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### pruefenOriginalverordnerVpnr

          Partnerdaten pruefenOriginalverordnerVpnr(String dialogId,
                                                    String vpnr)
                                             throws EbsInvalidParameterException,
                                                    EbsException,
                                                    AccessException,
                                                    DialogException,
                                                    ServiceException

      Zu der übergebenen Vertragspartnernummer werden die Partnerdaten aus dem e-card System bzw. ZPV ermittelt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `EBS_CORE` und `EBS_ANTRAG`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `vpnr` - Vertragspartnernummer.
      Returns:
        Namensinformationen zur abgefragten Vertragspartnernummer, siehe `Partnerdaten`.
      Throws:
        `EbsInvalidParameterException` - `VPNR_REQUIRED` , `VPNR_WRONG_FORMAT`, `VPNR_INVALID`
        `EbsException` - `NO_DATA_FOR_VPNR`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`, `MISSING_EBS_ANTRAG`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### erfassenVerordnerAntrag

          BewilligungsaktFoto erfassenVerordnerAntrag(String dialogId,
                                                      String cardToken,
                                                      LeistungsantragAktuell leistungsantragAktuell,
                                                      DataHandler antragsAttachments)
                                               throws EbsInvalidParameterException,
                                                      EbsException,
                                                      AccessException,
                                                      DialogException,
                                                      ServiceException

      Diese Funktion dient der aktuellen Erfassung von Anträgen durch den Verordner. Der Antragssteller wird in diesem Fall automatisch zum Verordner des Antrags.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `EBS_CORE` und `EBS_ANTRAG`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` oder ein `ekvkPatient` (`ekvkPatient`) angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
        `leistungsantragAktuell` - Der zu erfassende aktuelle Leistungsantrag, siehe `LeistungsantragAktuell`.
        `antragsAttachments` - SOAP-Attachment, das alle Anlagen enthält (ZIP-Archiv). Hinweis: Das ZIP Archiv mit UTF-8 Encoding erstellt werden!
        Generelle Informationen hinsichtlich der Übermittlung des Anhangs (SOAP-Attachment mittels MTOM) siehe Abschnitt "Attachments" in Overview .
        Angabe: Optional.
      Returns:
        BewilligungsaktFoto - Der erfasste (gespeicherte) Bewilligungsakt, sowie bei Bedarf die Informationen bezüglich eines benötigten Fotos. Siehe `BewilligungsaktFoto`.
      Throws:
        `EbsInvalidParameterException` - `SV_NUMMER_EKVKPATIENT_OR_ECARD_REQUIRED`, `KVT_INVALID`, `ANTRAGSTYP_REQUIRED`, `ANTRAGSTYP_INVALID`, `ANTRAGSTYP_INVALID2`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `FACHGEBIET_INVALID2`, `VERSTAENDIGUNG_REQUIRED`, `VERSTAENDIGUNG_EMAIL_REQUIRED`, `VERSTAENDIGUNG_EMAIL_REQUIRED2`, `VERSTAENDIGUNG_EMAIL_WRONG_FORMAT`, `VERSTAENDIGUNG_EMAIL_INVALID`, `VERSTAENDIGUNG_TELEFON_WRONG_FORMAT`, `VERSTAENDIGUNG_TELEFON_INVALID`, `VERSTAENDIGUNG_TELEFON_INVALID2`, `VERSTAENDIGUNG_TELEFON_FORBIDDEN`, `VERSTAENDIGUNG_PATIENT_REQUIRED`, `VERSTAENDIGUNG_PATIENT_INVALID`, `EKVK_VORNAME_REQUIRED`, `EKVK_VORNAME_WRONG_FORMAT`, `EKVK_VORNAME_INVALID`, `EKVK_ZUNAME_REQUIRED`, `EKVK_ZUNAME_WRONG_FORMAT`, `EKVK_ZUNAME_INVALID`, `EKVK_GEBURTSDATUM_REQUIRED`, `EKVK_GEBURTSDATUM_WRONG_FORMAT`, `EKVK_GEBURTSDATUM_INVALID`, `EKVK_GESCHLECHT_REQUIRED`, `EKVK_GESCHLECHT_INVALID`, `EKVK_KENNNUMMER_KARTE_REQUIRED`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_REQUIRED`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_WRONG_FORMAT`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_INVALID`, `EKVK_KENNNUMMER_DES_TRAEGERS_REQUIRED`, `EKVK_KENNNUMMER_DES_TRAEGERS_WRONG_FORMAT`, `EKVK_KENNNUMMER_DES_TRAEGERS_INVALID`, `EKVK_ABLAUFDATUM_REQUIRED`, `EKVK_ABLAUFDATUM_WRONG_FORMAT`, `EKVK_ABLAUFDATUM_INVALID`, `EKVK_STAAT_REQUIRED`, `EKVK_STAAT_INVALID`, `EKVK_STAAT_INVALID2`, `SV_NUMMER_INVALID`, `ANSPRECHPERSON_PATIENT_WRONG_FORMAT`, `ANSPRECHPERSON_PATIENT_INVALID`, `ADRESSE_ORT_REQUIRED`, `ADRESSE_ORT_WRONG_FORMAT`, `ADRESSE_ORT_INVALID`, `ADRESSE_PLZ_REQUIRED`, `ADRESSE_PLZ_WRONG_FORMAT`, `ADRESSE_PLZ_INVALID`, `ADRESSE_STRASSE_REQUIRED`, `ADRESSE_STRASSE_WRONG_FORMAT`, `ADRESSE_STRASSE_INVALID`, `ADRESSE_STAAT_REQUIRED`, `ADRESSE_STAAT_INVALID`, `MEDIZINISCHE_GRUNDDATEN_REQUIRED`, `MEDGRUNDDATEN_ANAMNESE_REQUIRED`, `MEDGRUNDDATEN_ANAMNESE_WRONG_FORMAT`, `MEDGRUNDDATEN_DIAGNOSE_REQUIRED2`, `MEDGRUNDDATEN_DIAGNOSE_WRONG_FORMAT`, `MEDGRUNDDATEN_DIAGNOSECODE_WRONG_FORMAT`, `MEDGRUNDDATEN_DIAGNOSECODE_INVALID` , `MEDGRUNDDATEN_ERSTELLGRUND_REQUIRED`, `MEDGRUNDDATEN_ERSTELLGRUND_WRONG_FORMAT`, `CT_BISHERIGE_THERAPIE_WRONG_FORMAT`, `CT_KLINIK_WRONG_FORMAT`, `CT_KREATININ_WRONG_FORMAT`, `CT_KREATININ_INVALID`, `CT_TSH_WRONG_FORMAT`, `CT_TSH_INVALID`, `CT_UNFALL_INVALID`, `CT_UNFALLDATUM_REQUIRED`, `CT_UNFALLDATUM_WRONG_FORMAT`, `CT_UNFALLDATUM_INVALID`, `CT_UNFALLDATUM_FORBIDDEN`, `CT_FGBEZOGEN_REQUIRED`, `CT_FGBEZOGEN_INVALID`, `CT_FGBEZOGEN_FORBIDDEN`, `CT_EMPFOHLEN_REQUIRED`, `CT_EMPFOHLEN_INVALID`, `CT_EMPFOHLEN_FORBIDDEN`, `MR_BISHERIGE_THERAPIE_WRONG_FORMAT`, `MR_KLINIK_WRONG_FORMAT`, `MR_KREATININ_WRONG_FORMAT`, `MR_KREATININ_INVALID`, `MR_TSH_WRONG_FORMAT`, `MR_TSH_INVALID`, `MR_UNFALL_INVALID`, `MR_UNFALLDATUM_REQUIRED`, `MR_UNFALLDATUM_WRONG_FORMAT`, `MR_UNFALLDATUM_INVALID`, `MR_UNFALLDATUM_FORBIDDEN`, `MR_FGBEZOGEN_REQUIRED`, `MR_FGBEZOGEN_INVALID`, `MR_FGBEZOGEN_FORBIDDEN`, `MR_EMPFOHLEN_REQUIRED`, `MR_EMPFOHLEN_INVALID`, `MR_EMPFOHLEN_FORBIDDEN`, `NUK_BISHERIGE_THERAPIE_WRONG_FORMAT`, `NUK_KLINIK_WRONG_FORMAT`, `NUK_KREATININ_WRONG_FORMAT`, `NUK_KREATININ_INVALID`, `NUK_RADIOPHARMAKON_INVALID`, `NUK_TSH_WRONG_FORMAT`, `NUK_TSH_INVALID`, `KDM_KREATININ_WRONG_FORMAT`, `KDM_KREATININ_INVALID`, `KDM_TSH_WRONG_FORMAT`, `KDM_TSH_INVALID`, `KDM_METHODE_INVALID`, `KDM_FRAGILITAETSSTRUKTUR_REQUIRED`, `KDM_FRAGILITAETSSTRUKTUR_INVALID`, `ROET_BISHERIGE_THERAPIE_WRONG_FORMAT`, `ROET_METHODE_REQUIRED`, `ROET_METHODE_INVALID`, `ROET_METHODE_FORBIDDEN`, `ROET_METHODE_BEHANDLUNG_INVALID`, `ROET_METHODE_BEHANDLUNG_FORBIDDEN`, `ROEU_BISHERIGE_THERAPIE_WRONG_FORMAT`, `ROEU_INDIKATION_MAMMOGRAPHIE_REQUIRED`, `ROEU_INDIKATION_MAMMOGRAPHIE_FORBIDDEN`, `ROEU_INDIKATIONSTEXT_FORBIDDEN`, `INDIKATION_MAMMOGRAPHIE_INDIKATION_REQUIRED`, `INDIKATION_MAMMOGRAPHIE_INDIKATION_INVALID`, `INDIKATION_MAMMOGRAPHIE_INDIKATION_INVALID2`, `INDIKATION_MAMMOGRAPHIE_BEGRUENDUNG_REQUIRED`, `INDIKATION_MAMMOGRAPHIE_BEGRUENDUNG_WRONG_FORMAT`, `INDIKATION_MAMMOGRAPHIE_BEGRUENDUNG_FORBIDDEN`, `GEWUENSCHTE_LEISTUNG_REQUIRED`, `GEWUENSCHTE_LEISTUNG_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_KATALOGLEISTUNG_REQUIRED`, `GEWUENSCHTE_LEISTUNG_KATALOGLEISTUNG_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_KATALOGLEISTUNG_INVALID`, `GEWUENSCHTE_LEISTUNG_FREITEXTANGABE_REQUIRED`, `GEWUENSCHTE_LEISTUNG_FREITEXTANGABE_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_FREITEXTANGABE_FORBIDDEN`, `GEWUENSCHTE_LEISTUNG_FREITEXTGRUND_REQUIRED`, `GEWUENSCHTE_LEISTUNG_FREITEXTGRUND_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_FREITEXTGRUND_FORBIDDEN`, `GEWUENSCHTE_LEISTUNG_SEITE_REQUIRED`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID2`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID3`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID4`, `GEWUENSCHTE_LEISTUNG_KONTRASTMITTEL_INVALID`, `GEWUENSCHTE_LEISTUNG_KONTRASTMITTEL_INVALID2`, `GEWUENSCHTE_LEISTUNG_KOERPERREGION_INVALID`, `GEWUENSCHTE_LEISTUNG_KOERPERREGION_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_KOERPERREGION_FORBIDDEN`, `VERORDNERKONTAKT_EMAIL_WRONG_FORMAT`, `VERORDNERKONTAKT_EMAIL_INVALID`, `VERORDNERKONTAKT_TELEFON_WRONG_FORMAT`, `VERORDNERKONTAKT_TELEFON_INVALID`, `VERORDNERKONTAKT_ANSPRECHPERSON_WRONG_FORMAT`, `VERORDNERKONTAKT_ANSPRECHPERSON_INVALID`, `ANLAGE_ANZAHL_DATEIINFO_INVALID`, `ANLAGE_ATTACHMENTINFO_REQUIRED`, `ANLAGE_DATEIINFO_NAME_NOT_UNIQUE`, `ANLAGE_INTERNAL_ERROR`, `ANLAGE_ZIPGROESSE_INVALID`, `ANLAGE_ANZAHL_INVALID`, `ANLAGE_DATEIINFO_REQUIRED`, `ANLAGE_DATEI_ATTACHMENTINFO_MISMATCH`, `ANLAGE_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ANLAGE_DATEINAME_INVALID`, `ANLAGE_DATEITYP_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `AKTUELL_ANLAGE_VERORDNUNG_FORBIDDEN`, `ANLAGE_ANLAGETYP_INVALID`, `ANLAGE_REQUIRED`, `ANTRAG_SPECIFIC_MEDDATA_INCONSISTENT`, `SONSTIGES_WRONG_FORMAT`
        `EbsException` - `SV_NUMMER_INVALID`, `NO_ANSPRUCH`, `NO_ANTRAGSTYP_ANSPRUCH`, `ASVG_KVT_FOR_SELECTION`, `KVT_FOR_SELECTION`, `ORDINATION_GKK_NOT_EBS_RELEVANT`, `NO_VPANSPRUCH`, `NO_VPANSPRUCH_FOR_KVT_FOR_ERFASSUNG`, `FACHGEBIET_NOT_AUTHORISED_FOR_ERFASSUNG`, `NO_DATA_FOR_VPNR`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`, `MISSING_EBS_ANTRAG`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### nacherfassenAntrag

          BewilligungsaktFoto nacherfassenAntrag(String dialogId,
                                                 String cardToken,
                                                 LeistungsantragNacherfassen leistungsantragNacherfassen,
                                                 DataHandler antragsAttachments)
                                          throws EbsInvalidParameterException,
                                                 EbsException,
                                                 AccessException,
                                                 DialogException,
                                                 ServiceException

      Diese Funktion dient der Nacherfassung von Anträgen durch einen Vertragspartner ungleich dem Verordner (in der Regel wird der Antrag durch den späteren Leistungserbringer nacherfasst). Der Antragssteller muss den Originalverordner explizit angeben, sowie als Attachment die eingescannte Originalverordnung hinzufügen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `EBS_CORE` und `EBS_ANTRAG`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` oder ein `ekvkPatient` (`ekvkPatient`) angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
        `leistungsantragNacherfassen` - Der nachzuerfassende Leistungsantrag, siehe `LeistungsantragNacherfassen`.
        `antragsAttachments` - SOAP-Attachment, das alle Anlagen enthält (ZIP-Archiv). Hinweis: Das ZIP Archiv mit UTF-8 Encoding erstellt werden!
        Generelle Informationen hinsichtlich der Übermittlung des Anhangs (SOAP-Attachment mittels MTOM) siehe Abschnitt "Attachments" in Overview .
        Angabe: Muss. Hinweis: Bei Nacherfassung ist die Angabe eines Attachments verpflichtend, da zwingend eine Originalverordnung übergeben werden muss.
      Returns:
        BewilligungsaktFoto - Der erfasste (gespeicherte) Bewilligungsakt, sowie bei Bedarf die Informationen bezüglich eines benötigten Fotos. Siehe `BewilligungsaktFoto`.
      Throws:
        `EbsInvalidParameterException` - `SV_NUMMER_EKVKPATIENT_OR_ECARD_REQUIRED`, `KVT_INVALID`, `ANTRAGSTYP_REQUIRED`, `ANTRAGSTYP_INVALID`, `ANTRAGSTYP_INVALID2`, `VERSTAENDIGUNG_REQUIRED`, `VERSTAENDIGUNG_EMAIL_REQUIRED`, `VERSTAENDIGUNG_EMAIL_REQUIRED2`, `VERSTAENDIGUNG_EMAIL_WRONG_FORMAT`, `VERSTAENDIGUNG_EMAIL_INVALID`, `VERSTAENDIGUNG_TELEFON_WRONG_FORMAT`, `VERSTAENDIGUNG_TELEFON_INVALID`, `VERSTAENDIGUNG_TELEFON_INVALID2`, `VERSTAENDIGUNG_TELEFON_FORBIDDEN`, `VERSTAENDIGUNG_PATIENT_REQUIRED`, `VERSTAENDIGUNG_PATIENT_INVALID`, `EKVK_VORNAME_REQUIRED`, `EKVK_VORNAME_WRONG_FORMAT`, `EKVK_VORNAME_INVALID`, `EKVK_ZUNAME_REQUIRED`, `EKVK_ZUNAME_WRONG_FORMAT`, `EKVK_ZUNAME_INVALID`, `EKVK_GEBURTSDATUM_REQUIRED`, `EKVK_GEBURTSDATUM_WRONG_FORMAT`, `EKVK_GEBURTSDATUM_INVALID`, `EKVK_GESCHLECHT_REQUIRED`, `EKVK_GESCHLECHT_INVALID`, `EKVK_KENNNUMMER_KARTE_REQUIRED`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_REQUIRED`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_WRONG_FORMAT`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_INVALID`, `EKVK_KENNNUMMER_DES_TRAEGERS_REQUIRED`, `EKVK_KENNNUMMER_DES_TRAEGERS_WRONG_FORMAT`, `EKVK_KENNNUMMER_DES_TRAEGERS_INVALID`, `EKVK_ABLAUFDATUM_REQUIRED`, `EKVK_ABLAUFDATUM_WRONG_FORMAT`, `EKVK_ABLAUFDATUM_INVALID`, `EKVK_STAAT_REQUIRED`, `EKVK_STAAT_INVALID`, `EKVK_STAAT_INVALID2`, `SV_NUMMER_INVALID`, `ANSPRECHPERSON_PATIENT_WRONG_FORMAT`, `ANSPRECHPERSON_PATIENT_INVALID`, `ADRESSE_ORT_REQUIRED`, `ADRESSE_ORT_WRONG_FORMAT`, `ADRESSE_ORT_INVALID`, `ADRESSE_PLZ_REQUIRED`, `ADRESSE_PLZ_WRONG_FORMAT`, `ADRESSE_PLZ_INVALID`, `ADRESSE_STRASSE_REQUIRED`, `ADRESSE_STRASSE_WRONG_FORMAT`, `ADRESSE_STRASSE_INVALID`, `ADRESSE_STAAT_REQUIRED`, `ADRESSE_STAAT_INVALID`, `MEDIZINISCHE_GRUNDDATEN_REQUIRED`, `MEDGRUNDDATEN_ANAMNESE_REQUIRED`, `MEDGRUNDDATEN_ANAMNESE_WRONG_FORMAT`, `MEDGRUNDDATEN_DIAGNOSE_REQUIRED2`, `MEDGRUNDDATEN_DIAGNOSE_WRONG_FORMAT`, `MEDGRUNDDATEN_DIAGNOSECODE_WRONG_FORMAT`, `MEDGRUNDDATEN_DIAGNOSECODE_INVALID` , `MEDGRUNDDATEN_ERSTELLGRUND_REQUIRED`, `MEDGRUNDDATEN_ERSTELLGRUND_WRONG_FORMAT`, `NACHERFASSER_ANSPRECHPERSON_WRONG_FORMAT`, `NACHERFASSER_ANSPRECHPERSON_INVALID`, `NACHERFASSUNG_VERORDNUNGSDATUM_REQUIRED`, `NACHERFASSUNG_VERORDNUNGSDATUM_WRONG_FORMAT`, `NACHERFASSUNG_VERORDNUNGSDATUM_INVALID`, `NACHERFASSUNG_VERORDNUNGSDATUM_INVALID2`, `CT_BISHERIGE_THERAPIE_WRONG_FORMAT`, `CT_KLINIK_WRONG_FORMAT`, `CT_KREATININ_WRONG_FORMAT`, `CT_KREATININ_INVALID`, `CT_TSH_WRONG_FORMAT`, `CT_TSH_INVALID`, `CT_UNFALL_INVALID`, `CT_UNFALLDATUM_REQUIRED`, `CT_UNFALLDATUM_WRONG_FORMAT`, `CT_UNFALLDATUM_INVALID`, `CT_UNFALLDATUM_FORBIDDEN`, `CT_FGBEZOGEN_INVALID`, `CT_FGBEZOGEN_FORBIDDEN`, `CT_EMPFOHLEN_INVALID`, `CT_EMPFOHLEN_FORBIDDEN`, `MR_BISHERIGE_THERAPIE_WRONG_FORMAT`, `MR_KLINIK_WRONG_FORMAT`, `MR_KREATININ_WRONG_FORMAT`, `MR_KREATININ_INVALID`, `MR_TSH_WRONG_FORMAT`, `MR_TSH_INVALID`, `MR_UNFALL_INVALID`, `MR_UNFALLDATUM_REQUIRED`, `MR_UNFALLDATUM_WRONG_FORMAT`, `MR_UNFALLDATUM_INVALID`, `MR_UNFALLDATUM_FORBIDDEN`, `MR_FGBEZOGEN_INVALID`, `MR_FGBEZOGEN_FORBIDDEN`, `MR_EMPFOHLEN_INVALID`, `MR_EMPFOHLEN_FORBIDDEN`, `NUK_BISHERIGE_THERAPIE_WRONG_FORMAT`, `NUK_KLINIK_WRONG_FORMAT`, `NUK_KREATININ_WRONG_FORMAT`, `NUK_KREATININ_INVALID`, `NUK_RADIOPHARMAKON_INVALID`, `NUK_TSH_WRONG_FORMAT`, `NUK_TSH_INVALID`, `HUM_DNA_ARRAYANALYSE_REQUIRED`, `HUM_DNA_ARRAYANALYSE_INVALID`, `HUM_DNA_ARRAYANALYSE_FORBIDDEN`, `KDM_KREATININ_WRONG_FORMAT`, `KDM_KREATININ_INVALID`, `KDM_TSH_WRONG_FORMAT`, `KDM_TSH_INVALID`, `KDM_METHODE_INVALID`, `KDM_FRAGILITAETSSTRUKTUR_INVALID`, `ROET_BISHERIGE_THERAPIE_WRONG_FORMAT`, `ROET_METHODE_REQUIRED`, `ROET_METHODE_INVALID`, `ROET_METHODE_FORBIDDEN`, `ROET_METHODE_BEHANDLUNG_INVALID`, `ROET_METHODE_BEHANDLUNG_FORBIDDEN`, `ROEU_BISHERIGE_THERAPIE_WRONG_FORMAT`, `ROEU_INDIKATION_MAMMOGRAPHIE_FORBIDDEN`, `ROEU_INDIKATIONSTEXT_FORBIDDEN`, `INDIKATION_MAMMOGRAPHIE_INDIKATION_REQUIRED`, `INDIKATION_MAMMOGRAPHIE_INDIKATION_INVALID`, `INDIKATION_MAMMOGRAPHIE_INDIKATION_INVALID2`, `INDIKATION_MAMMOGRAPHIE_BEGRUENDUNG_REQUIRED`, `INDIKATION_MAMMOGRAPHIE_BEGRUENDUNG_WRONG_FORMAT`, `INDIKATION_MAMMOGRAPHIE_BEGRUENDUNG_FORBIDDEN`, `GEWUENSCHTE_LEISTUNG_REQUIRED`, `GEWUENSCHTE_LEISTUNG_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_KATALOGLEISTUNG_REQUIRED`, `GEWUENSCHTE_LEISTUNG_KATALOGLEISTUNG_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_KATALOGLEISTUNG_INVALID`, `GEWUENSCHTE_LEISTUNG_FREITEXTANGABE_REQUIRED`, `GEWUENSCHTE_LEISTUNG_FREITEXTANGABE_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_FREITEXTANGABE_FORBIDDEN`, `GEWUENSCHTE_LEISTUNG_FREITEXTGRUND_REQUIRED`, `GEWUENSCHTE_LEISTUNG_FREITEXTGRUND_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_FREITEXTGRUND_FORBIDDEN`, `GEWUENSCHTE_LEISTUNG_SEITE_REQUIRED`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID2`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID3`, `GEWUENSCHTE_LEISTUNG_SEITE_INVALID4`, `GEWUENSCHTE_LEISTUNG_KONTRASTMITTEL_INVALID`, `GEWUENSCHTE_LEISTUNG_KONTRASTMITTEL_INVALID2`, `GEWUENSCHTE_LEISTUNG_KOERPERREGION_INVALID`, `GEWUENSCHTE_LEISTUNG_KOERPERREGION_WRONG_FORMAT`, `GEWUENSCHTE_LEISTUNG_KOERPERREGION_FORBIDDEN`, `VPNR_WRONG_FORMAT`, `VPNR_INVALID`, `VPNR_OR_VERORDNERFREITEXT_REQUIRED`, `VERORDNERDATEN_VORNAME_REQUIRED`, `VERORDNERDATEN_VORNAME_WRONG_FORMAT`, `VERORDNERDATEN_VORNAME_INVALID`, `VERORDNERDATEN_NACHNAME_REQUIRED`, `VERORDNERDATEN_NACHNAME_WRONG_FORMAT`, `VERORDNERDATEN_NACHNAME_INVALID`, `VERORDNERADRESSE_REQUIRED`, `VERORDNERKONTAKT_EMAIL_WRONG_FORMAT`, `VERORDNERKONTAKT_EMAIL_INVALID`, `VERORDNERKONTAKT_TELEFON_WRONG_FORMAT`, `VERORDNERKONTAKT_TELEFON_INVALID`, `VERORDNERKONTAKT_ANSPRECHPERSON_WRONG_FORMAT`, `VERORDNERKONTAKT_ANSPRECHPERSON_INVALID`, `ANLAGE_ANZAHL_DATEIINFO_INVALID`, `ANLAGE_ATTACHMENTINFO_REQUIRED`, `ANLAGE_DATEIINFO_NAME_NOT_UNIQUE`, `ANLAGE_INTERNAL_ERROR`, `ANLAGE_ZIPGROESSE_INVALID`, `ANLAGE_ANZAHL_INVALID`, `ANLAGE_ANLAGE_VERORDNUNG_REQUIRED`, `ANLAGE_DATEIINFO_REQUIRED`, `ANLAGE_DATEI_ATTACHMENTINFO_MISMATCH`, `ANLAGE_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ANLAGE_DATEINAME_INVALID`, `ANLAGE_DATEITYP_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `ANLAGE_ANLAGETYP_INVALID`, `ANLAGE_REQUIRED`, `ANTRAG_SPECIFIC_MEDDATA_INCONSISTENT`, `SONSTIGES_WRONG_FORMAT`
        `EbsException` - `SV_NUMMER_INVALID`, `NO_ANSPRUCH`, `NO_ANTRAGSTYP_ANSPRUCH`, `ASVG_KVT_FOR_SELECTION`, `KVT_FOR_SELECTION`, `ORDINATION_GKK_NOT_EBS_RELEVANT`, `NO_VPANSPRUCH`, `NO_DATA_FOR_VPNR`, `NO_NACHERFASSUNG_FOR_ORIGINALVERORDNER`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`, `MISSING_EBS_ANTRAG`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID` `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### abfragenAntragMitCode

          AbfragenAntragMitCodeErgebnis abfragenAntragMitCode(String dialogId,
                                                              String svNummer,
                                                              String karteKennnummer,
                                                              String antragsCode)
                                                       throws EbsInvalidParameterException,
                                                              EbsException,
                                                              AccessException,
                                                              DialogException,
                                                              ServiceException

      Diese Funktion dient der Abfrage eines Antrags mittels Code und Patientenidentifikator, unabhängig ob selbst- oder fremderstellt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben werden.
        `karteKennnummer` - Kennnummer der Karte. Feld 8 der EKV-Karte
        Format: 20 bis 25-stellig.
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben werden.
        Wertebereich: Erlaubte Zeichen sind a-z, A-Z und 0-9. Österreichische EKVK werden nicht unterstützt. Das heißt die ersten 10 Stellen dürfen nicht gleich "8004000001" sein.
        `antragsCode` - Eindeutiger Code für einen Antrag des Patienten.
        Format: 6-stellig
      Returns:
        Ergebnis der Abfrage, siehe `AbfragenAntragMitCodeErgebnis`.
      Throws:
        `EbsInvalidParameterException` - `SV_NUMMER_OR_EKVK_REQUIRED`, `SV_NUMMER_INVALID`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `ANTRAGSCODE_REQUIRED`, `ANTRAGSCODE_WRONG_FORMAT`
        `EbsException` - `SV_NUMMER_INVALID`, `NO_ANTRAG_FOUND`, `ABFRAGE_NOT_ALLOWED_FOR_INTERFACE_VERSION`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### abfragenEigeneAntraege

          BewilligungsaktReferenz[] abfragenEigeneAntraege(String dialogId,
                                                           String svNummer,
                                                           String karteKennnummer,
                                                           String antragsCode,
                                                           String vorname,
                                                           String zuname,
                                                           String kvt,
                                                           String antragstyp,
                                                           String antragsstatus,
                                                           String aggregierterLeistungsstatus,
                                                           String eigeneRolle,
                                                           String vonDatum,
                                                           String bisDatum)
                                                    throws EbsInvalidParameterException,
                                                           EbsException,
                                                           AccessException,
                                                           DialogException,
                                                           ServiceException

      Diese Funktion dient der Abfrage von Anträgen, bei denen der Vertragspartner als Ersteller/Verordner/Erbringer involviert ist/war.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Optional.
        `karteKennnummer` - Kennnummer der Karte. Feld 8 der EKV-Karte
        Format: 20 bis 25-stellig.
        Angabe: Kann.
        Wertebereich: Erlaubte Zeichen sind a-z, A-Z und 0-9. Österreichische EKVK werden nicht unterstützt. Das heißt die ersten 10 Stellen dürfen nicht gleich "8004000001" sein.
        `antragsCode` - Patienteneindeutiger Code des eBS Antrags (eindeutig nur in Verbindung mit der SV-Nummer bzw. EKVK-Nummer des jeweiligen Patienten).
        Format: 6-stellig
        Angabe: Optional.
        `vorname` - Vorname des Patienten.
        Format: max. 70-stellig
        Angabe: Optional.
        `zuname` - Zuname des Patienten.
        Format: max. 70-stellig
        Angabe: Optional.
        `kvt` - Es sollen nur Anträge ermittelt werden, bei denen der AKTUELL zuständige KV-Träger dem angegebenen KVT entspricht.
        Mögliche Werte: siehe `getSVTs`.
        Angabe: Optional.
        `antragstyp` - Es sollen nur Anträge mit dem angegebenen Antragstyp ermittelt werden.
        Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
        Angabe: Optional.
        `antragsstatus` - Es sollen nur Anträge ermittelt werden, deren aktueller Status gleich dem angegebenen ist.
        Mögliche Werte: siehe `AntragsstatusTypConstants`.
        Angabe: Optional.
        `aggregierterLeistungsstatus` - Es sollen nur Anträge ermittelt werden, deren aktueller aggregierter Leistungsstatus gleich dem angegebenen ist.
        Mögliche Werte: siehe `AggregierterLeistungsstatusTypConstants`.
        Angabe: Optional.
        `eigeneRolle` - Es sollen nur Anträge ermittelt werden, bei denen der Vertragspartner die angegebene Rolle inne hat.
        Mögliche Werte: siehe `VertragspartnerrolleTypConstants`.
        Angabe: Optional.
        `vonDatum` - Es sollen nur Anträge ermittelt werden, die nach dem angegebenen Datum erzeugt wurden.
        Format: TT.MM.JJJJ
        Angabe: Optional.
        `bisDatum` - Es sollen nur Anträge ermittelt werden, die vor dem angegebenen Datum erzeugt wurden.
        Format: TT.MM.JJJJ
        Angabe: Optional.
      Returns:
        Liste von Antragsreferenzen, die den angegebenen Suchkriterien entsprechen, siehe `BewilligungsaktReferenz`. Werden keine Anträge gefunden, so wird eine leere Liste zurückgeliefert.
      Throws:
        `EbsInvalidParameterException` - `SV_NUMMER_INVALID`, `KVT_INVALID`, `ANTRAGSTYP_INVALID`, `ANTRAGSTYP_INVALID2`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `ANTRAGSCODE_WRONG_FORMAT`, `FAMNAME_WRONG_FORMAT`, `VORNAME_WRONG_FORMAT`, `ANTRAGSSTATUS_INVALID`, `EIGENE_ROLLE_INVALID`, `SUCHZEITRAUM_VON_WRONG_FORMAT`, `SUCHZEITRAUM_VON_INVALID`, `SUCHZEITRAUM_BIS_WRONG_FORMAT`, `SUCHZEITRAUM_BIS_INVALID`, `SUCHZEITRAUM_BIS_INVALID2`, `LEISTUNGSSTATUS_INVALID`
        `EbsException` - `MAX_RESULTS_EXCEEDED`, `SUCHZEITRAUM_VON_INVALID`, `SUCHZEITRAUM_BIS_INVALID`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### uebernehmenAntragsleistungen

          BewilligungsaktFoto uebernehmenAntragsleistungen(String dialogId,
                                                           String antragsreferenz,
                                                           String kvt,
                                                           String fachgebiet,
                                                           String alleUebernehmen,
                                                           String[] leistungen)
                                                    throws EbsInvalidParameterException,
                                                           EbsException,
                                                           AccessException,
                                                           DialogException,
                                                           ServiceException

      Diese Funktion dient der Bekanntgabe der Übernahme von Leistungen durch den Leistungserbringer.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `EBS_CORE` und `EBS_UEBERNAHME`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `antragsreferenz` - Eindeutige Id eines Antrags.
        Format: 17-stellig
        `kvt` - KV-Träger, bei dem der Patient versichert ist.
        Angabe: Optional. Mögliche Werte: siehe `getSVTs`
        `fachgebiet` - Fachgebiet der Erbringung.
        Mögliche Werte: siehe `getFachgebiete`
        `alleUebernehmen` - Kennzeichen, ob alle übernehmbaren Leistungen des Antrags übernommen werden sollen. Übernehmbare Leistungen sind Leistungen mit folgenden Leistungsstatuswerten: bewilligt, bewilligungsfrei, bewilligt mit Änderungen.
        Mögliche Werte: siehe `KennzeichenJaNeinTypConstants`
        `leistungen` - Liste mit den Entscheidungspositionen der entschiedenen Leistungen, die übernommen werden sollen (siehe `Entscheidungsposition`)
      Returns:
        BewilligungsaktFoto - Der Bewilligungsakt dessen Leistungen übernommen wurden, sowie bei Bedarf die Informationen bezüglich eines benötigten Fotos. Siehe `BewilligungsaktFoto`.
      Throws:
        `EbsInvalidParameterException` - `KVT_INVALID`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `FACHGEBIET_INVALID2`, `ANTRAGSREFERENZ_REQUIRED`, `ANTRAGSREFERENZ_WRONG_FORMAT`, `UEBERNAHME_ALLE_UEBERNEHMEN_REQUIRED`, `UEBERNAHME_LEISTUNG_REQUIRED`, `UEBERNAHME_LEISTUNG_INVALID`
        `EbsException` - `NO_ANTRAG_FOUND`, `ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION`, `UEBERNAHME_ANTRAG_WRONG_STATUS`, `UEBERNAHME_WRONG_LEISTUNG`, `NO_ANSPRUCH`, `NO_ANTRAGSTYP_ANSPRUCH`, `ASVG_KVT_FOR_SELECTION`, `KVT_FOR_SELECTION`, `ORDINATION_GKK_NOT_EBS_RELEVANT`, `NO_VPANSPRUCH`, `NO_VPANSPRUCH_FOR_KVT_FOR_UEBERNAHME`, `FACHGEBIET_NOT_AUTHORISED_FOR_UEBERNAHME`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`, `MISSING_EBS_UEBERNAHME`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### widerrufenUebernahme

          Bewilligungsakt widerrufenUebernahme(String dialogId,
                                               String antragsreferenz)
                                        throws EbsInvalidParameterException,
                                               EbsException,
                                               AccessException,
                                               DialogException,
                                               ServiceException

      Diese Funktion dient dem Widerruf der Leistungsübernahme.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `EBS_CORE` und `EBS_UEBERNAHME`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `antragsreferenz` - Eindeutige Id eines Antrags.
        Format: 17-stellig
      Returns:
        Bewilligungsakt, dessen Leistungsübernahme widerrufen wurde, siehe `Bewilligungsakt`.
      Throws:
        `EbsInvalidParameterException` - `ANTRAGSREFERENZ_REQUIRED`, `ANTRAGSREFERENZ_WRONG_FORMAT`
        `EbsException` - `NO_ANTRAG_FOUND`, `ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION`, `WIDERRUF_ANTRAG_WRONG_STATUS`, `UEBERNAHME_NO_PERMISSION`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`, `MISSING_EBS_UEBERNAHME`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### abfragenEbsRelevanteTraeger

          KvtAntragstypen[] abfragenEbsRelevanteTraeger(String dialogId)
                                                 throws EbsException,
                                                        AccessException,
                                                        DialogException,
                                                        ServiceException

      Diese Funktion dient der Abfrage der aktuell für eBS relevanten KV-Träger.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
      Returns:
        Liste der eBS relevanten KV-Träger, siehe `KvtAntragstypen`.
        Angabe: Muss.
        1 bis n Elemente.
      Throws:
        `EbsException` - `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### herunterladenAttachments

          DataHandler herunterladenAttachments(String dialogId,
                                               String svNummer,
                                               String karteKennnummer,
                                               String antragsCode,
                                               Long[] dateiNummern)
                                        throws EbsInvalidParameterException,
                                               EbsException,
                                               AccessException,
                                               DialogException,
                                               ServiceException

      Diese Funktion dient dem Herunterladen ausgewählter Dateien, die dem Antrag als Anlagen hinzugefügt wurden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben sein.
        `karteKennnummer` - Kennnummer der Karte. Feld 8 der EKV-Karte
        Format: 20 bis 25-stellig.
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben werden.
        Wertebereich: Erlaubte Zeichen sind a-z, A-Z und 0-9. Österreichische EKVK werden nicht unterstützt. Das heißt die ersten 10 Stellen dürfen nicht gleich "8004000001" sein.
        `antragsCode` - Eindeutiger Code für einen Antrag des Patienten.
        Format: 6-stellig
        `dateiNummern` - Liste mit den Nummern der gewünschten Attachments.
        Format: Liste mit Longs.
      Returns:
        ZIP Datei mit den gewünschten Attachments.
        Angabe: Muss.
      Throws:
        `EbsInvalidParameterException` - `ATTACHMENT_DOWNLOAD_ANGABE_ANLAGE_REQUIRED`, `SV_NUMMER_OR_EKVK_REQUIRED`, `SV_NUMMER_INVALID`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `ANTRAGSCODE_REQUIRED`, `ANTRAGSCODE_WRONG_FORMAT`
        `EbsException` - `ANLAGE_NOT_FOUND`, `ANLAGEN_MAX_SIZE_EXCEEDED`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### stornierenAntrag

          BewilligungsaktReferenz stornierenAntrag(String dialogId,
                                                   String svNummer,
                                                   String karteKennnummer,
                                                   String antragsCode,
                                                   String stornogrund)
                                            throws EbsInvalidParameterException,
                                                   EbsException,
                                                   AccessException,
                                                   DialogException,
                                                   ServiceException

      Diese Funktion dient der Stornierung eines gestellten Antrags.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben sein.
        `karteKennnummer` - Kennnummer der Karte. Feld 8 der EKV-Karte
        Format: 20 bis 25-stellig.
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben werden.
        Wertebereich: Erlaubte Zeichen sind a-z, A-Z und 0-9. Österreichische EKVK werden nicht unterstützt. Das heißt die ersten 10 Stellen dürfen nicht gleich "8004000001" sein.
        `antragsCode` - Eindeutiger Code für einen Antrag des Patienten.
        Format: 6-stellig
        `stornogrund` - Begründung für die Stornierung.
        Format: max. 1000-stellig
      Returns:
        Antragsreferenz des stornierten Antrags, siehe `BewilligungsaktReferenz`.
      Throws:
        `EbsInvalidParameterException` - `SV_NUMMER_OR_EKVK_REQUIRED`, `SV_NUMMER_INVALID`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `ANTRAGSCODE_REQUIRED`, `ANTRAGSCODE_WRONG_FORMAT`, `STORNOGRUND_REQUIRED`, `STORNOGRUND_WRONG_FORMAT`
        `EbsException` - `NO_ANTRAG_FOUND`, `ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION`, `STORNO_NO_PERMISSION`, `STORNO_ANTRAG_WRONG_STATUS`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### beantwortenEvidenzmeldung

          BewilligungsaktReferenz beantwortenEvidenzmeldung(String dialogId,
                                                            String svNummer,
                                                            String karteKennnummer,
                                                            String antragsCode,
                                                            String evidenzantwort,
                                                            AttachmentInfo attachmentInfo,
                                                            DataHandler evidenzAttachments)
                                                     throws EbsInvalidParameterException,
                                                            EbsException,
                                                            AccessException,
                                                            DialogException,
                                                            ServiceException

      Diese Funktion dient der Übermittlung einer Antwort zu einer Evidenzmeldung des Antrags.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben sein.
        `karteKennnummer` - Kennnummer der Karte. Feld 8 der EKV-Karte
        Format: 20 bis 25-stellig.
        Angabe: Bedingt. Es muss entweder eine SV-Nummer oder eine EKVK-Nummer angegeben werden.
        Wertebereich: Erlaubte Zeichen sind a-z, A-Z und 0-9. Österreichische EKVK werden nicht unterstützt. Das heißt die ersten 10 Stellen dürfen nicht gleich "8004000001" sein.
        `antragsCode` - Eindeutiger Code für einen Antrag des Patienten.
        Format: 6-stellig
        `evidenzantwort` - Antwort zur Evidenzmeldung.
        Format: max. 1000-stellig
        Angabe: Bedingt. Es muss eine Evidenantwort und/oder ein Attachment als SOAP-Attachment angegeben sein.
        `attachmentInfo` - Informationen zu den Attachments.
        Angabe: Bedingt. Muss angegeben werden, wenn ein Attachment als SOAP-Attachment angegeben wurde.
        `evidenzAttachments` - SOAP-Attachment, das alle Anlagen enthält (ZIP-Archiv). Hinweis: Das ZIP Archiv mit UTF-8 Encoding erstellt werden!
        Angabe: Bedingt.
      Returns:
        Antragsreferenz des Antrags, zu dessen Evidenzmeldung eine Evidenzantwort übermittelt wurde. Siehe `BewilligungsaktReferenz`.
      Throws:
        `EbsInvalidParameterException` - `SV_NUMMER_OR_EKVK_REQUIRED`, `SV_NUMMER_INVALID`, `EKVK_KENNNUMMER_KARTE_WRONG_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `ANTRAGSCODE_REQUIRED`, `ANTRAGSCODE_WRONG_FORMAT`, `EVIDENZ_ANTWORT_WRONG_FORMAT`, `EVIDENZ_ANTWORT_OR_ANLAGE_REQUIRED`, `ANLAGE_ANZAHL_DATEIINFO_INVALID`, `ANLAGE_ATTACHMENTINFO_REQUIRED`, `ANLAGE_DATEIINFO_NAME_NOT_UNIQUE`, `ANLAGE_INTERNAL_ERROR`, `ANLAGE_ZIPGROESSE_INVALID`, `ANLAGE_ANZAHL_INVALID`, `ANLAGE_DATEIINFO_REQUIRED`, `ANLAGE_DATEI_ATTACHMENTINFO_MISMATCH`, `ANLAGE_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ANLAGE_DATEINAME_INVALID`, `ANLAGE_DATEITYP_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `ANLAGE_ANLAGETYP_INVALID`, `ANLAGE_REQUIRED`
        `EbsException` - `NO_ANTRAG_FOUND`, `ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION`, `EVIDENZ_ANTRAG_WRONG_STATUS`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### bekanntgebenTerminvereinbarung

          BewilligungsaktReferenzFoto bekanntgebenTerminvereinbarung(String dialogId,
                                                                     String antragsreferenz,
                                                                     String kvt,
                                                                     String fachgebiet)
                                                              throws EbsInvalidParameterException,
                                                                     EbsException,
                                                                     AccessException,
                                                                     DialogException,
                                                                     ServiceException

      Diese Funktion dient der Bekanntgabe der Terminvereinbarung.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `EBS_CORE` und `EBS_UEBERNAHME`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `antragsreferenz` - Eindeutige Id eines Antrags.
        Format: 17-stellig
        `kvt` - KV-Träger, bei dem der Patient versichert ist.
        Angabe: Optional. Mögliche Werte: siehe `getSVTs`
        `fachgebiet` - Fachgebiet der Erbringung.
        Mögliche Werte: siehe `getFachgebiete`
      Returns:
        BewilligungsaktReferenzFoto - Antragsreferenz des Antrages für welchen die Terminvereinbarung bekannt gegeben wurde, sowie bei Bedarf die Informationen bezüglich eines benötigten Fotos. Siehe `BewilligungsaktFoto`.
      Throws:
        `EbsInvalidParameterException` - `KVT_INVALID`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `FACHGEBIET_INVALID2`, `ANTRAGSREFERENZ_REQUIRED`, `ANTRAGSREFERENZ_WRONG_FORMAT`
        `EbsException` - `NO_ANTRAG_FOUND`, `ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION`, `BEKANNTGABE_TERMINVEREINBARUNG_WRONG_STATUS`, `NO_ANSPRUCH`, `NO_ANTRAGSTYP_ANSPRUCH`, `ASVG_KVT_FOR_SELECTION`, `KVT_FOR_SELECTION`, `ORDINATION_GKK_NOT_EBS_RELEVANT`, `NO_VPANSPRUCH`, `NO_VPANSPRUCH_FOR_KVT_FOR_UEBERNAHME`, `FACHGEBIET_NOT_AUTHORISED_FOR_UEBERNAHME`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`, `MISSING_EBS_UEBERNAHME`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### widerrufenTerminvereinbarung

          BewilligungsaktReferenz widerrufenTerminvereinbarung(String dialogId,
                                                               String antragsreferenz)
                                                        throws EbsInvalidParameterException,
                                                               EbsException,
                                                               AccessException,
                                                               DialogException,
                                                               ServiceException

      Diese Funktion dient dem Widerruf der Terminvereinbarung.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `antragsreferenz` - Eindeutige Id eines Antrags.
        Format: 17-stellig
      Returns:
        Antragsreferenz des Antrages dessen Terminvereinbarung widerrufen wurde, siehe `BewilligungsaktReferenz`.
      Throws:
        `EbsInvalidParameterException` - `ANTRAGSREFERENZ_REQUIRED`, `ANTRAGSREFERENZ_WRONG_FORMAT`
        `EbsException` - `NO_ANTRAG_FOUND`, `ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION`, `WIDERRUF_TERMINVEREINBARUNG_WRONG_STATUS`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### antragstypenErmitteln

          AntragstypDetail[] antragstypenErmitteln(String dialogId)
                                            throws EbsException,
                                                   AccessException,
                                                   DialogException,
                                                   ServiceException

      Diese Funktion dient der Ermittlung der aktuell für eBS verwendbaren Antragstypen und des jeweils benötigten Rechtes pro Antragstyp.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
      Returns:
        Liste der möglichen Antragstypen inklusive Details, siehe `AntragstypDetail`.
        Angabe: Muss.
        1 bis n Elemente.
      Throws:
        `EbsException` - `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### mammographieIndikationenErmitteln

          BaseProperty[] mammographieIndikationenErmitteln(String dialogId)
                                                    throws EbsException,
                                                           AccessException,
                                                           DialogException,
                                                           ServiceException

      Diese Funktion dient der Abfrage der aktuell für eBS möglichen mammographie Indikationen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
      Returns:
        Liste der möglichen mammographie Indikationen, siehe `BaseProperty`.
        Angabe: Muss.
        1 bis n Elemente.
      Throws:
        `EbsException` - `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### abfrageVokVersionen

          Kataloginfo[] abfrageVokVersionen(String dialogId)
                                     throws EbsException,
                                            AccessException,
                                            DialogException,
                                            ServiceException

      Diese Funktion dient der Abfrage von Verordungskatalog (Vok) - Versionen zu denen mittels der Funktion `abfrageVokDaten` die Daten abgefragt werden können.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
      Returns:
        Liste von Versionsinformationen, siehe `Kataloginfo`.
      Throws:
        `EbsException` - `NO_VOK_VERSION_AVAILABLE`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### abfrageVokDaten

          Katalogdaten[] abfrageVokDaten(String dialogId,
                                         String katalogversion,
                                         String antragstyp,
                                         String kvt)
                                  throws EbsInvalidParameterException,
                                         EbsException,
                                         AccessException,
                                         DialogException,
                                         ServiceException

      Diese Funktion dient der Abfrage der Verordnungskatalog (Vok) - Daten zu einer bestimmten Verordungskatalogversion (siehe `abfrageVokVersionen`).

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `EBS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `katalogversion` - Version des Katalogs der abgefragt werden soll (siehe `abfrageVokVersionen`).
        Format: Alphanumerisch, max. 10-stellig
        Angabe: Muss.
        `antragstyp` - Es werden nur Katalogleistungen und dazugehörige Daten zu dem angegebenen Antragstyp ermittelt.
        Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
        Angabe: Optional.
        `kvt` - Es werden nur Katalogleistungen und dazugehörige Daten ermittelt, die vom angegebenen KVT unterstützt werden.
        Mögliche Werte: siehe `getSVTs`.
        Angabe: Optional.
      Returns:
        Liste von Katalogdaten, die den angegebenen Suchkriterien entsprechen, siehe `Katalogdaten`.
      Throws:
        `EbsInvalidParameterException` - `KVT_INVALID`, `ANTRAGSTYP_INVALID`, `KATALOGVERSION_REQUIRED`, `KATALOGVERSION_WRONG_FORMAT`
        `EbsException` - `EbsExceptionConstants.NO_VOK_DATEN_AVAILABLE`, `EbsExceptionConstants.KATALOGVERSION_INVALID`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_EBS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`